import { html as c } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (n, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, o) : t, l = n.length - 1, i; l >= 0; l--)
    (i = n[l]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && m(t, o, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--germany", this.class = "c-pieIcon c-pieIcon--germany", this.name = "IconFlagGermany";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--germany"><path fill="#FFDA44" d="M1.438 10.435a7.001 7.001 0 0 0 13.127 0L8 9.828l-6.563.607Z"></path><path fill="#333" d="M8.001 1a7.001 7.001 0 0 0-6.563 4.567L8 6.174l6.564-.607A7.001 7.001 0 0 0 8 1Z"></path><path fill="#D80027" d="M1.438 5.567a6.987 6.987 0 0 0 0 4.868h13.127a6.984 6.984 0 0 0 0-4.868H1.438Z"></path></svg>`;
  }
};
p([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  h("icon-flag-germany")
], s);
export {
  s as IconFlagGermany
};
